Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jasig.portal.layout.restrictions.alm
Class DepthRestriction

    java.lang.Object
      org.jasig.portal.layout.restrictions.UserLayoutRestriction
          org.jasig.portal.layout.restrictions.alm.ALRestriction
              org.jasig.portal.layout.restrictions.alm.DepthRestriction

All Implemented Interfaces:
  IUserLayoutRestriction

    public class DepthRestriction

extends ALRestriction

DepthRestriction checks the priority restriction for a given UserLayoutNode object.

Company: Instructional Media & Magic Prior to uPortal 2.5, this class existed in the package org.jasig.portal.layout.restrictions. It was moved to its present package to reflect that it is part of Aggregated Layouts.

Version:
  $Revision: 1.1.2.1 $
Author:
  Michael Ivanov

Field Summary
`private java.lang.Integer[]` | `depthArray`
`private static org.apache.commons.logging.Log` | `LOG`
`private java.lang.Integer[]` | `maxDepthArray`
`private java.lang.Integer[]` | `minDepthArray`

Fields inherited from class org.jasig.portal.layout.restrictions.UserLayoutRestriction
`nodePath`

Fields inherited from interface org.jasig.portal.layout.restrictions.IUserLayoutRestriction
`CHILDREN_RESTRICTION_PATH, LOCAL_RESTRICTION_PATH, PARENT_RESTRICTION_PATH`

Constructor Summary
`DepthRestriction()`
`DepthRestriction(java.lang.String name)`
`DepthRestriction(java.lang.String name, java.lang.String nodePath)`

Method Summary
`boolean` | `checkRestriction(java.lang.String propertyValue)` Checks the restriction for the specified node
`protected void` | `parseRestrictionExpression()` Parses the restriction expression of the current node

Methods inherited from class org.jasig.portal.layout.restrictions.alm.ALRestriction
`checkRestriction`

Methods inherited from class org.jasig.portal.layout.restrictions.UserLayoutRestriction
`checkRestriction, getName, getRestrictionExpression, getRestrictionPath, getUniqueKey, getUniqueKey, getUniqueKey, setName, setRestrictionExpression, setRestrictionPath`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### LOG

    private static final org.apache.commons.logging.Log LOG

### minDepthArray

    private java.lang.Integer[] minDepthArray

### maxDepthArray

    private java.lang.Integer[] maxDepthArray

### depthArray

    private java.lang.Integer[] depthArray

Constructor Detail

### DepthRestriction

    public DepthRestriction(java.lang.String name,
                            java.lang.String nodePath)

### DepthRestriction

    public DepthRestriction(java.lang.String name)

### DepthRestriction

    public DepthRestriction()

Method Detail

### parseRestrictionExpression

    protected void parseRestrictionExpression()
                                       throws PortalException

  Parses the restriction expression of the current node

  Specified by:
    `parseRestrictionExpression` in class `UserLayoutRestriction`
  Throws:
    `PortalException`

### checkRestriction

    public boolean checkRestriction(java.lang.String propertyValue)
                             throws PortalException

  Checks the restriction for the specified node

  Specified by:
    `checkRestriction` in interface `IUserLayoutRestriction`
  Specified by:
    `checkRestriction` in class `UserLayoutRestriction`
  Parameters:
    `propertyValue` - a `String` property value to be checked
  Returns:
    a boolean value
  Throws:
    `PortalException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD